summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-09-03 14:05:12 +0200
committerMichael Palimaka <kensington@gentoo.org>2016-09-05 03:54:27 +1000
commitf527e725586213eff2b96197247ead6d31ae4b32 (patch)
tree6a6cdc9bcdab3c300fb6ac7e0cb2114c72547d59 /kde-apps
parentapp-emulation/lxd: bump to 2.1 (diff)
downloadgentoo-f527e725586213eff2b96197247ead6d31ae4b32.tar.gz
gentoo-f527e725586213eff2b96197247ead6d31ae4b32.tar.bz2
gentoo-f527e725586213eff2b96197247ead6d31ae4b32.zip
kde-apps/kwalletmanager: Fix empty/placeholder icons, HOMEPAGE
systray appears broken since KF-5.25, icons inside application even longer Package-Manager: portage-2.2.28
Diffstat (limited to 'kde-apps')
-rw-r--r--kde-apps/kwalletmanager/files/kwalletmanager-16.04.3-icons.patch30
-rw-r--r--kde-apps/kwalletmanager/kwalletmanager-16.04.3-r1.ebuild52
-rw-r--r--kde-apps/kwalletmanager/kwalletmanager-16.04.3.ebuild2
3 files changed, 84 insertions, 0 deletions
diff --git a/kde-apps/kwalletmanager/files/kwalletmanager-16.04.3-icons.patch b/kde-apps/kwalletmanager/files/kwalletmanager-16.04.3-icons.patch
new file mode 100644
index 00000000000..29580a3bbd6
--- /dev/null
+++ b/kde-apps/kwalletmanager/files/kwalletmanager-16.04.3-icons.patch
@@ -0,0 +1,30 @@
+From: Martin T. H. Sandsmark <martin.sandsmark@kde.org>
+Date: Sat, 27 Aug 2016 13:23:52 +0000
+Subject: Fix icon installation path
+X-Git-Url: http://quickgit.kde.org/?p=kwalletmanager.git&a=commitdiff&h=7bb9e92f26074ec892df4fe0a790567097221a9f
+---
+Fix icon installation path
+---
+
+merged with
+
+From: Martin T. H. Sandsmark <martin.sandsmark@kde.org>
+Date: Sat, 27 Aug 2016 13:32:04 +0000
+Subject: Fix icon names
+X-Git-Url: http://quickgit.kde.org/?p=kwalletmanager.git&a=commitdiff&h=5d35eb2c3b82979994b75c116d8c57ac8c8e398a
+---
+Fix icon names
+---
+
+
+--- a/icons/CMakeLists.txt
++++ b/icons/CMakeLists.txt
+@@ -1,2 +1,6 @@
+-ecm_install_icons( ICONS 22-actions-folder_closed.png 22-actions-folder_open.png DESTINATION ${DATA_INSTALL_DIR}/kwalletmanager5/icons )
++ecm_install_icons(
++ ICONS 22-actions-wallet-closed.png 22-actions-wallet-open.png
++ DESTINATION ${ICON_INSTALL_DIR}
++ THEME hicolor
++)
+
+
diff --git a/kde-apps/kwalletmanager/kwalletmanager-16.04.3-r1.ebuild b/kde-apps/kwalletmanager/kwalletmanager-16.04.3-r1.ebuild
new file mode 100644
index 00000000000..d598902da22
--- /dev/null
+++ b/kde-apps/kwalletmanager/kwalletmanager-16.04.3-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_BLOCK_SLOT4="false"
+KDE_HANDBOOK="forceoptional"
+inherit kde5
+
+DESCRIPTION="KDE Wallet management tool"
+HOMEAGE="https://www.kde.org/applications/system/kwalletmanager
+https://utils.kde.org/projects/kwalletmanager"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kauth)
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kcodecs)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kdelibs4support)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwallet)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+"
+RDEPEND="${DEPEND}
+ !<kde-apps/kwalletmanager-15.04.3-r1:4
+ !kde-base/legacy-icons
+"
+
+PATCHES=( "${FILESDIR}/${P}-icons.patch" )
+
+src_prepare() {
+ mv icons/22-actions-folder_open.png icons/22-actions-wallet-open.png || die
+ mv icons/22-actions-folder_closed.png icons/22-actions-wallet-closed.png || die
+ kde5_src_prepare
+}
diff --git a/kde-apps/kwalletmanager/kwalletmanager-16.04.3.ebuild b/kde-apps/kwalletmanager/kwalletmanager-16.04.3.ebuild
index 7eb4bbfd656..0be2b45eecd 100644
--- a/kde-apps/kwalletmanager/kwalletmanager-16.04.3.ebuild
+++ b/kde-apps/kwalletmanager/kwalletmanager-16.04.3.ebuild
@@ -9,6 +9,8 @@ KDE_HANDBOOK="forceoptional"
inherit kde5
DESCRIPTION="KDE Wallet management tool"
+HOMEAGE="https://www.kde.org/applications/system/kwalletmanager
+https://utils.kde.org/projects/kwalletmanager"
KEYWORDS="amd64 x86"
IUSE=""